topblock(6)

NAME
topblock - a 3D world of falling blocks that build up and up.

SYNOPSIS
topblock [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--wireframe] [--fps] [--size number] [--spawn number] [--camX number] [--camY number] [--camZ number] [--rotate] [--no-carpet] [--no-nipples] [--blob] [--rotateSpeed number] [--follow] [--maxFalling number] [--resolution number] [--maxColors number] [--dropSpeed number] [--override]

DESCRIPTION
Creates a world of falling blocks that build up and up.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps
    Display the current frame rate, CPU load, and polygon count.

--size number
    Size of the base/carpet.

--spawn number
    Likeyhood of a new block being created per frame : 1 high, 1000 very low.

--camX number
    Initial camera X location in the world.

--camY number
    Initial camera Y location in the world.

--camZ number
    Initial camera Z location in the world.

--rotate | -no-rotate
    Add/Remove rotation to/from the animation.

--no-carpet
    Remove the base/carpet.

--no-nipples
    Remove nipples on the blocks (also applies to udders) (has no effect in blob mode).

--blob
    Run in blob mode, blocks become over sized spheres.

--rotateSpeed number
    Varries speed of world rotation.

--follow
    Camera follows blocks as they fall instead of camera being semi static (stays with top block).

--maxFalling number
    Maximum number of objects created before recycling occurs.

--resolution number
    Resolution of tubes, disks and spheres.

--maxColors number
    Number of different colors available to falling objects.

--dropSpeed number
    Varries speed of falling objects.

--override
    Overrides camera settings and provides a tunnel view.

KEYS

a   Increases viewing X coordinate.

z   Decreases viewing X coordinate.

s   Increases viewing Y coordinate.

x   Decreases viewing Y coordinate.

d   Increases viewing Z coordinate.

c   Decreases viewing Z coordinate.

f   Increases camera location X coordinate.

v   Decreases camera location X coordinate.

g   Increases camera location Y coordinate.

b   Decreases camera location Y coordinate.

h   Increases camera location Z coordinate.

n   Decreases camera location Z coordinate.

r   Increases world rotation.

q   quit.

EXAMPLES
To see which block follow-mode is tracking, set the number of block colors to 1.

topblock -follow -maxColors 1

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1),
https://www.jumpstation.co.uk/xscreensaver/topblock/

COPYRIGHT
Copyright © 2006 by rednuht. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
rednuht <topblock.xscreensaver@jumpstation.co.uk>